summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKent Fredric <kentfredric@gmail.com>2016-02-20 19:25:25 +1300
committerKent Fredric <kentfredric@gmail.com>2016-02-20 20:48:21 +1300
commita92788c17154ec0d68edd8cad8917047b9924b12 (patch)
treeb09b85336641d6dfc427ad2dc9a470b94a685046
parentdev-perl/IPC-Run3: Bump to version 0.48.0 (diff)
downloadgentoo-a92788c17154ec0d68edd8cad8917047b9924b12.tar.gz
gentoo-a92788c17154ec0d68edd8cad8917047b9924b12.tar.bz2
gentoo-a92788c17154ec0d68edd8cad8917047b9924b12.zip
dev-perl/Image-Scale: Bump to version 0.110.0
- use EAPI6 - disable tests due to rt#112217 with random race-condition failures. Package-Manager: portage-2.2.27
-rw-r--r--dev-perl/Image-Scale/Image-Scale-0.110.0.ebuild51
-rw-r--r--dev-perl/Image-Scale/Manifest1
2 files changed, 52 insertions, 0 deletions
diff --git a/dev-perl/Image-Scale/Image-Scale-0.110.0.ebuild b/dev-perl/Image-Scale/Image-Scale-0.110.0.ebuild
new file mode 100644
index 00000000000..11c98b979c4
--- /dev/null
+++ b/dev-perl/Image-Scale/Image-Scale-0.110.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DIST_AUTHOR=AGRUNDMA
+DIST_VERSION=0.11
+inherit perl-module
+
+DESCRIPTION="Fast, high-quality fixed-point image resizing"
+
+LICENSE="|| ( GPL-2 GPL-3 )" # GPL2+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+gif jpeg +png test"
+
+REQUIRED_USE="|| ( jpeg png )"
+
+RDEPEND="
+ png? (
+ media-libs/libpng:0
+ )
+ jpeg? (
+ virtual/jpeg:0
+ )
+ gif? (
+ media-libs/giflib
+ )
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-perl/Test-NoWarnings
+ )
+ virtual/perl-ExtUtils-MakeMaker
+"
+RESTRICT="test" # https://rt.cpan.org/Ticket/Display.html?id=112217
+PATCHES=(
+ "${FILESDIR}"/0.80.0-disable_autodetect.patch
+)
+src_prepare() {
+ use test && perl_rm_files "t/04critic.t" "t/02pod.t" "t/03podcoverage.t"
+ perl-module_src_prepare
+}
+src_configure() {
+ local myconf
+ for useflag in png jpeg gif; do
+ myconf+=( $(usex $useflag "" --disable-${useflag}) )
+ done
+ perl-module_src_configure
+}
diff --git a/dev-perl/Image-Scale/Manifest b/dev-perl/Image-Scale/Manifest
index 2bda6b4b537..928c376dd04 100644
--- a/dev-perl/Image-Scale/Manifest
+++ b/dev-perl/Image-Scale/Manifest
@@ -1 +1,2 @@
DIST Image-Scale-0.08.tar.gz 1009824 SHA256 e2dcc90b9954a43dafc7f61bc6dc472382eb719b1046247da5a93cfdd7c3b3e0 SHA512 4f79c6accea63fd4a641d9d6acaa6cb68f3d495c660e839b8ac394cb2445b126bc683c351c37c74d8654ce78875bb4f4a777928463774bc15fe6a4c038959212 WHIRLPOOL c6adf31d02dcd50eaa9ec13a384ce0dbbb4ed1e6e77759402f27b78f0a5e3c09f6d3665352940e01040195ed094a0a5b603192b578e9e6ec9ed1768498b3f164
+DIST Image-Scale-0.11.tar.gz 1012273 SHA256 6b8e0cb71f4d04d4c5a568e30d5eda8c01bac3479f10bd8235d69124a61336ca SHA512 f9da139b72c8be4f99d426cec15913fcb4558b6839ad40454916c7e6242194a23b1cdf7d0a9745ce7806c4eaf0e0af8dba9cd409cd00a8fb61ac40c4c4abdb5c WHIRLPOOL 167bcc901e12d04977798dced955fdf61a1f0b90b3cc2c0826de70ad081ef8b08b74095fc02af29d00bc877d602b0ecc72f4fc527211454660391715e0ec2ea9